package com.tutego.insel.ui.swing;

import java.text.*;
import java.awt.*;
import java.awt.event.*;
import javax.swing.*;

public class JFormattedTextDemo
{
  public static void main( String[] args )
  {
    JFrame frame = new JFrame();
    frame.setDefaultCloseOperation( JFrame.EXIT_ON_CLOSE );
    frame.setLayout( new GridLayout(0,1) );

    ActionListener al =  new ActionListener() {
      public void actionPerformed( ActionEvent e ) {
        System.out.println( ((JFormattedTextField)e.getSource()).getText() );
    } };

    JFormattedTextField ftf1 = new JFormattedTextField(
        new SimpleDateFormat("MM/dd/yy") );
    frame.add( ftf1 );
    ftf1.addActionListener( al );

    JFormattedTextField ftf2 = new JFormattedTextField(
        new DecimalFormat("#,###") );
    frame.add( ftf2 );
    ftf2.addActionListener( al );

    frame.pack();
    frame.setVisible( true );
  }
}

